Blob Blame History Raw
diff -up netatalk-2.0.3/distrib/initscripts/rc.atalk.redhat.lsb netatalk-2.0.3/distrib/initscripts/rc.atalk.redhat
--- netatalk-2.0.3/distrib/initscripts/rc.atalk.redhat.lsb	2008-02-25 15:29:38.000000000 +0100
+++ netatalk-2.0.3/distrib/initscripts/rc.atalk.redhat	2008-02-25 16:07:36.000000000 +0100
@@ -1,8 +1,19 @@
 #! /bin/sh
+#
+### BEGIN INIT INFO
+# Provides: netatalk
+# Required-Start: $local_fs $network $syslog
+# Required-Stop: $local_fs $network $syslog
+# Short-Description: AppleTalk networking programs
+# Description: This package enables Linux to talk to Macintosh computers via the
+#              AppleTalk networking protocol. It includes a daemon to allow Linux
+#              to act as a file server over EtherTalk or IP for Mac's.
+### END INIT INFO
+
 # chkconfig: - 91 35
-# description: This package enables Linux to talk to Macintosh
-#              computers via the AppleTalk networking protocol and 
-#              provides printer, file sharing, and AppleTalk routing 
+# description: This package enables Linux to talk to Macintosh \
+#              computers via the AppleTalk networking protocol and \
+#              provides printer, file sharing, and AppleTalk routing \ 
 #              services.   
 #
 # AppleTalk daemons. Make sure not to start atalkd in the background:
@@ -27,12 +38,12 @@ ATALK_SBIN=/usr/sbin
 
 if [ ! -x ${ATALK_SBIN}/atalkd ]; then
      echo "[${ATALK_SBIN}/atalkd not found.  Did it compile?]";
-     exit 0;
+     exit 1;
 fi
 
 if [ ! -f ${ATALK_CONF_DIR}/netatalk.conf ]; then
      echo "[${ATALK_CONF_DIR}/netatalk.conf not found]";
-     exit 0;
+     exit 6;
 fi
 
 # read in netatalk configuration
@@ -41,7 +52,7 @@ fi
 # Check that networking is up.
 if [ ${NETWORKING} = "no" ]; then
      echo "[Network isn't started]"; 
-     exit 0;
+     exit 1;
 fi
 
 # initialize return values